[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Refresh

Causes the control to be redrawn.

## Declaration

Source position: controls.pp line 1719

`public procedure TControl.Refresh;`

## Description

Calls the Repaint method to either draw the clipping rectangle for the control to the handle in the Parent, or invalidate the control area for the next paint operation that occurs when the Parent controls are Visible.

## See also

TControl.Repaint |  | Immediately redraws the control when visible, bypassing the message queue.